This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 812011 - [abrt] gnome-disk-utility-3.4.0-1.fc17: udisks_client_get_drive_info: Process /usr/bin/palimpsest was killed by signal 11 (SIGSEGV)
[abrt] gnome-disk-utility-3.4.0-1.fc17: udisks_client_get_drive_info: Process...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
abrt_hash:bb5bf9d3eccff8a85337eace8e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 10:16 EDT by Misha Shnurapet
Modified: 2013-03-05 23:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 17:06:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (32.46 KB, text/plain)
2012-04-12 10:17 EDT, Misha Shnurapet
no flags Details
File: dso_list (6.62 KB, text/plain)
2012-04-12 10:17 EDT, Misha Shnurapet
no flags Details
File: smolt_data (3.00 KB, text/plain)
2012-04-12 10:17 EDT, Misha Shnurapet
no flags Details
File: backtrace (49.14 KB, text/plain)
2012-04-12 10:17 EDT, Misha Shnurapet
no flags Details
strace of palimpsest (172.73 KB, text/plain)
2012-04-18 16:20 EDT, Jacek Pliszka
no flags Details
grep palimpsest /var/log/messages (1.86 KB, text/plain)
2012-04-18 16:22 EDT, Jacek Pliszka
no flags Details

  None (edit)
Description Misha Shnurapet 2012-04-12 10:16:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        palimpsest
crash_function: udisks_client_get_drive_info
executable:     /usr/bin/palimpsest
kernel:         3.3.1-3.fc17.x86_64
pid:            3978
remote_result:  NOTFOUND
time:           Чт. 12 апр. 2012 22:57:57
uid:            1000
xsession_errors: 

backtrace:      Text file, 50321 bytes
dso_list:       Text file, 6775 bytes
maps:           Text file, 33241 bytes
smolt_data:     Binary file, 3073 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/misha/3

core_backtrace:
:1011eaac90ae2ab1460ada0222a70f87e72633a5 0x395b3 udisks_client_get_drive_info libudisks2.so.0 -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0xda8e - [exe] -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0xe756 - [exe] -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0xea3e - [exe] -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x161c3 g_object_newv libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x16540 g_object_new_valist libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x16874 g_object_new libgobject-2.0.so.0 -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0xec5d - [exe] -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0x14851 - [exe] -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x161c3 g_object_newv libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x16540 g_object_new_valist libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x16874 g_object_new libgobject-2.0.so.0 -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0x15c5e - [exe] -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0xced9 - [exe] -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0xf923 - libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x27d68 g_signal_emit_valist libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x287a2 g_signal_emit libgobject-2.0.so.0 -
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b 0x97ae8 - libgio-2.0.so.0 -
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b 0x97c28 g_application_run libgio-2.0.so.0 -
:d3fabf2a85157b73cb573191ff743ab6f2fc928d 0xcc06 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=saw
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/misha/keyring-GavlSc
:'IMSETTINGS_MODULE=X compose table'
:MAIL=/var/spool/mail/misha
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/misha/.local/bin:/home/misha/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1599
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/misha
:SHLVL=1
:LOGNAME=misha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VqgLO5ln8N,guid=e1c22806e67514f098b013f900000063
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/misha
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-misha-NTadfp/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1603,unix/unix:/tmp/.ICE-unix/1603
:GPG_AGENT_INFO=/run/user/misha/keyring-GavlSc/gpg:0:1
:SSH_AUTH_SOCK=/run/user/misha/keyring-GavlSc/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/palimpsest.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3978
:DESKTOP_STARTUP_ID=gnome-shell-3779-saw-palimpsest-0_TIME3814507

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30954                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30954                30954                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0102002
:2:/dev/null
:pos:	0
:flags:	0102002
:3:socket:[58717]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[57663]
:pos:	0
:flags:	02004002
:6:socket:[58720]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[58722]
:pos:	0
:flags:	02004002

smart_data:
:
:
:
:
:
:
:

var_log_messages:
:Apr 12 22:57:57 saw kernel: [ 3814.998251] palimpsest[3978]: segfault at 0 ip 00007fbbfa40b5b3 sp 00007fffa99e6870 error 4 in libudisks2.so.0.0.0[7fbbfa3d2000+4b000]
:Apr 12 22:57:58 saw abrt[3982]: Saved core dump of pid 3978 (/usr/bin/palimpsest) to /var/spool/abrt/ccpp-2012-04-12-22:57:57-3978 (13336576 bytes)
Comment 1 Misha Shnurapet 2012-04-12 10:17:02 EDT
Created attachment 577081 [details]
File: maps
Comment 2 Misha Shnurapet 2012-04-12 10:17:07 EDT
Created attachment 577082 [details]
File: dso_list
Comment 3 Misha Shnurapet 2012-04-12 10:17:09 EDT
Created attachment 577083 [details]
File: smolt_data
Comment 4 Misha Shnurapet 2012-04-12 10:17:16 EDT
Created attachment 577084 [details]
File: backtrace
Comment 5 Jonathan Kamens 2012-04-17 12:40:46 EDT
Launched "Disks" application from GNOME Shell. Crashed on startup.

backtrace_rating: 4
Package: gnome-disk-utility-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jacek Pliszka 2012-04-18 16:16:45 EDT
Please fix it before stable release.

(palimpsest:15027): GLib-GIO-WARNING **: Trying to set property Vendor of type ay but according to the expected interface the type is s

(palimpsest:15027): GLib-GIO-WARNING **: Trying to set property Model of type ay but according to the expected interface the type is s

(palimpsest:15027): GLib-GIO-WARNING **: Trying to set property Revision of type ay but according to the expected interface the type is s

(palimpsest:15027): GLib-GIO-WARNING **: Trying to set property Serial of type ay but according to the expected interface the type is s

(palimpsest:15027): GLib-GIO-WARNING **: Trying to set property IdLabel of type ay but according to the expected interface the type is s

(palimpsest:15027): GLib-GIO-WARNING **: Trying to set property IdUUID of type ay but according to the expected interface the type is s

and then segmentation fault

In strace crash is shown here:

open("/dev/urandom", O_RDONLY)          = 10
read(10, "\221\362-Z\4M&z\20\24k\371P\310\324\267", 16) = 16
close(10)                               = 0
--- {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0} (Segmentation fault) ---
+++ killed by SIGSEGV +++

full strace attached

In the logs:

Apr 18 21:38:11 jpliszka3 kernel: [  890.167791] palimpsest[14111]: segfault at 0 ip 00007fc69d3975b3 sp 00007fffb3a8e450 error 4 in libudisks2.so.0.0.0[7fc69d35e000+4b000]


full log attached
Comment 7 Jacek Pliszka 2012-04-18 16:20:43 EDT
Created attachment 578455 [details]
strace of palimpsest
Comment 8 Jacek Pliszka 2012-04-18 16:22:21 EDT
Created attachment 578456 [details]
grep palimpsest /var/log/messages

If needed I can send full log in private
Comment 9 David Zeuthen 2012-04-18 17:06:08 EDT
(In reply to comment #6)
> (palimpsest:15027): GLib-GIO-WARNING **: Trying to set property Vendor of type
> ay but according to the expected interface the type is s

The upstream bug is https://bugzilla.gnome.org/show_bug.cgi?id=673988 and contains the explanation of this problem - e.g. you updated udisks2 without rebooting. There's a reason that the update

 https://admin.fedoraproject.org/updates/FEDORA-2012-5686/udisks2-1.94.0-1.fc17

has SuggestReboot set to TRUE. Closing as WORKSFORME.

[1] : or alternatively, instead of rebooting you could do 'systemctl restart udisks2.service' and then restart all services/apps/process using udisksd

Note You need to log in before you can comment on or make changes to this bug.